[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| DT_StackEntry< Iter > Class Template Reference |

`#include <vigra/random_forest/rf_region.hxx>`

List of all members.

## Public Attributes
Int32 | leftParent
ArrayVector< std::pair< Int32, double > > | rule

## Detailed Description

### template<class Iter>
class vigra::DT_StackEntry< Iter >

Standard Stackentry used to Build a Tree. Contains Information About the current region being split

## Member Data Documentation

Int32 leftParent

Address of left and Right parent in the topology container

ArrayVector<std::pair<Int32, double> > rule

rule associated with current node

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_region.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)